Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ConsultStandardRouteAndRouteOfAdministrationType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v4.ConsultStandardRouteType
          be.fgov.ehealth.dics.protocol.v4.ConsultStandardRouteAndRouteOfAdministrationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:55:14+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultStandardRouteAndRouteOfAdministrationType

extends ConsultStandardRouteType
implements Serializable

Java class for ConsultStandardRouteAndRouteOfAdministrationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardRouteAndRouteOfAdministrationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardRouteType">
           <sequence>
             <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}RouteOfAdministrationKeyType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultStandardRouteAndRouteOfAdministrationType()`

Method Summary
`List<RouteOfAdministrationKeyType>` | `getRouteOfAdministrations()` Gets the value of the routeOfAdministrations property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ConsultStandardRouteType
`getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultStandardRouteAndRouteOfAdministrationType

    public ConsultStandardRouteAndRouteOfAdministrationType()

Method Detail

### getRouteOfAdministrations

    public List<RouteOfAdministrationKeyType> getRouteOfAdministrations()

  Gets the value of the routeOfAdministrations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

  For example, to add a new item, do as follows:

          getRouteOfAdministrations().add(newItem);

  Objects of the following type(s) are allowed in the list `RouteOfAdministrationKeyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.